Subject: bug#47105: defface docs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Mar 2021 20:32:04 +0200

> From: Reza Nikoopour <[email-masked]>
> Date: Fri, 12 Mar 2021 08:53:18 -0800
> 
>  People are sometimes tempted to create a variable whose value is a face name. In the vast majority of
>  cases, this is not necessary; the usual procedure is to define a face with defface, and then use its
>  name directly. 
> 
>  You should not quote the symbol face, and it should not end in ‘-face’ (that would be redundant).
> 
> I see both of these conventions in font-lock.el. 
> 
> https://github.com/emacs-mirror/emacs/blob/master/lisp/font-lock.el#L318-L319
> https://github.com/emacs-mirror/emacs/blob/master/lisp/font-lock.el#L1976-L1979
> 
> Could the docs be updated to reflect what's happening in font-lock.el?  I'd be happy to make the contribution,
> but I don't know the proper way to suggest an update to the manual.
> 
> Alternatively, could it be explained why font-lock.el doesn't follow these conventions?

It's the case of "do as I say, not as I do".  We cannot always follow
our own recommendations for some historical reasons.